@import url('https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap');
*{
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
    box-sizing: border-box;
    font-family: 'Architects Daughter', cursive;
  }
  a{
    text-decoration: none;
  }
  ul{
    list-style: none;
  }
  li{
    text-decoration: none;
  }
  body{
    margin: 0px;
    padding: 0px;
    background-color: #f6f8f2;
    font-family: 'Architects Daughter', cursive;
  }

  /*--- Hamburger Bar ---*/

  .hamburger{
    display: none;
    cursor: pointer;
  }
  .bar{
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    --webkit-transition: all 0.8s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: #588157;
  }

  /*--- Header ---*/
  header{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    border-bottom: 1px solid #588157;
    width: 100%;
    height: 100px;
    position: fixed;
    top: 0;
    padding-bottom: 50px;
    background-color: #f6f8f2;
    
  }
  .navbar{
    min-height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 24px;
    
}
  header .nav-menu{
    display: flex;
    justify-content: space-between;
    align-items: center;
    
    
}
  .nav-menu{
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px;
    gap: 60px;
  }
  .nav-menu li{
    display: inline-block;
    padding: 0px 40px;
  }
  .nav-menu li a{
    transition: all 0.3s ease 0s;
    color: #588157;
    font: bold;
    font-size: 1.2rem;
    font-weight: 500;
  }
  .nav-menu li a:hover{
    color: #A3B18A;
  }
  button{
    padding: 9px 25px;
    background-color: #588157;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.3s ease 0s;
    font-size: 1.2rem;
    color: #A3B18A;
  }
  button:hover{
    background-color: #A3B18A;
    color: #588157;
    transition: .05s ease;
    border: 1px solid #588157;
  }

  /*--- Banner ---*/

  .banner-container{
    display: flex;
    justify-content: center;
    padding-top: 100px;
    padding-bottom: 50px;
    width: auto;
    margin-top: 50px;
  }
  .main-col{
    background-color: #A3B18A;
    width: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    
  }
  .main-col h1{
    color: #588157;
    padding-bottom: 15px;
    text-align: center;
  }
  .main-col p{
    padding-bottom: 10px;
    text-align: center;
    color: #588157;
    font: bold;
  }
  .banner-img{
    display: flex;
    width: auto;
  }
  .banner-img{
    display: flex;
    width: 600px;
  }
  .btn{
    display: flex;
    justify-content: center;
    align-items: center;
  }
 
  /*--- Blog ---*/
  #blog{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 50px;
    text-align: center;
    margin-top: 100px;
  }
  .blog-heading span{
    font-size: 1.5rem;
    color: #A3B18A;
  }
  .blog-heading h3{
    font-size: 2rem;
    color: #588157;
  }
  .blog-container{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0px;
    flex-wrap: wrap;
  }
  .blog-box{
    width: 275px;
    background-color: #ffffff;
    border: 1px solid #A3B18A;
    margin: 20px;
    
  }
  .blog-img{
    width: 100%;
    height: 273px;
  }
  .blog-img img{
    width: 100%;  
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
  .blog-text{
    padding: 10px;
    display: flex;
    flex-direction: column;
  }
  .blog-text span{
    color: #A3B18A;
    font-size: 1rem;
    padding-bottom: 10px;
  }
  .blog-text .blog-title{
    color: #588157;
    font-size: 1.3rem;
    font-weight: 500;
    font-weight: bold;
    padding-bottom: 10px;
  }
  .blog-text .blog-title:hover{
    color: #A3B18A;
    transition: all ease 0.3s;
  }
  .blog-text p{
    color: #A3B18A;
    font-size: .9rem;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 20px 0px;
  }
  .btn-submit-blog{
    background-color: #588157;
    border: none;
    padding: 10px;
    border-radius: 5px;
    color: #f6f8f2;
    cursor: pointer;
  }

  /*--- Gallery ---*/

  .gallery{
    padding-bottom: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .gallery .row1{
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .gallery .row2{
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .row1 img{
    width: 325px;
    height: 325px;
  }
  .row2 img{
    width: 325px;
    height: 325px;
  }

  /*--- Footer ---*/
  footer{
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 1px solid #588157;

  }
  footer p{
    color: #588157;
    font-size: 1.2rem;
    padding-top: 50px;
    padding-bottom: 25px;
  }

  /*--- Contact ---*/

  #contact{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    margin-top: 125px;
  }
  .contact-heading{
    width: 800px;
    background-color: #A3B18A;
    height: 200px;
  }
  .contact-heading h3{
    font-size: 2rem;
    color: #588157;
    padding-top: 60px;
  }
  .contact-heading p{
    font-size: 1.2rem;
    color: #588157;
  }
  .contact-section{
    padding-bottom: 25px;
   
  }
  .contact-form{
    max-width: 600px;
    margin: auto;
    padding: 0 10px;
    overflow: hidden;
  }
  .contact-form-text{
    display: block;
    width: 100%;
    box-sizing: border-box;
    margin: 16px 0;
    padding: 20px 40px;
    color: #588157;
    font-size: 1.2rem;
    transition: 0.5s;
  }
  .contact-form-text:hover{
    box-shadow: 0 0 10px 4px #588157;
  }
  .contact-form-btn{
    background-color: #A3B18A;
    border: #588157;
    padding: 10px 20px;
    border-radius: 10px;
    float: right;
    color: #588157;
    font-size: 1.2rem;
    transition: 0.5s;
  }
  .contact-form-btn:hover{
    cursor: pointer;
    background-color: #588157;
    color: #A3B18A;
    transition: 0.5s;
  }
  textarea.contact-form-text{
    resize: none;
    height: 120px;
  }

  /*--- About Me ---*/

  .about{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 25px;
    margin-top: 125px;
  }
  .about-me{
    margin-right: 20px;
    font-size: 1.2rem;
    width: 600px;
  }
  .about-me h1{
    color: #588157;
    font-weight: bold;
  }
  .about-me p{
    color: #588157;
  }
  .me-img{
    width: 600px;
  }

  /*--- Mailing List ---*/

  .form-list{
   padding-bottom: 25px;
  }
  .mail-list{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .mail-list h1{
    font-size: 2rem;
    margin: 0 20px;
    color: #588157;
  }
  .mail-list .list{
    padding-right: 100px;
    font-size: 1rem;
    color: #A3B18A;
    border: 1px solid #588157;
    padding: 5px;
  }
  .form-list .list{
    padding-right: 100px;
    font-size: 1.2rem;
    margin-left: 5px;
    margin-right: 5px;
    
  }
  .form-list .list:hover{
    box-shadow: 0 0 10px 4px #588157;
   
  }
  .form-list .mail-list .mail-btn{
    margin: 20px 20px;
  }
  .mail-list .mail-btn{
    padding: 5px 15px;
    background: #588157;
    color: #A3B18A;
    font-size: 1.5rem;
    border: 1px solid #A3B18A;
    border-radius: 10px;
    cursor: pointer;
  }
  .mail-list .mail-btn:hover{
    background: #A3B18A;
    color: #588157;
    transition: 0.5s ease;
    border: 1px solid #588157;
  }
 

  /*--- Icons ---*/

  .container-icons{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 50px;
    margin: 0 50px;
  }
  .container-icons:hover{
    color: #A3B18A;
  }
  
  .fa-facebook{
    cursor: pointer;
    margin-right: 50px;
    color: #588157;
  }
  .fa-facebook:hover{
    color: #A3B18A;
  }
  .fa-instagram{
    cursor: pointer;
    color: #588157;
  }
  .fa-instagram:hover{
    color: #A3B18A;
  }
  .fa-twitter{
    margin-left: 50px;
    cursor: pointer;
    color: #588157;
  }
  .fa-twitter:hover{
    color: #A3B18A;
  }
   

  @media (max-width:768px){

    .hamburger{
      display: block;
    }
    .hamburger.active .bar:nth-child(2){
      opacity: 0;
    }
    .hamburger.active .bar:nth-child(1){
      transform: translateY(8px) rotate(45deg);
    }
    .hamburger.active .bar:nth-child(3){
      transform: translateY(-8px) rotate(-45deg);
    }
    header{
      
    }
    .navbar{
      position: fixed;
      background-color: #f6f8f2;
      width: 100%;
      top: 0;
    }
    .nav-menu{
      position: fixed;
      left: -100%;
      top: 70px;
      gap: 0;
      flex-direction: column;
      width: 100%;
      text-align: center;
      background-color: #588157;
      transition: 0.3s;
      color: #A3B18A;
      
      
    }
    .nav-menu ul{
      display: flex;
      justify-content: space-between;
      flex-direction: column;
    }
    .nav-menu.active{
      left: 0;
      padding: 20;
      row-gap: 10px;
    }
    .nav-menu.active li a{
      color: #A3B18A;
    }
    .banner-container{
      display: flex;
      justify-content: center;
      padding-top: 100px;
      padding-bottom: 50px;
      width: auto;
      justify-content: space-around;
      flex-direction: column;
    }
    .main-col{
      background-color: #A3B18A;
      display: flex;
      width: 100%;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      padding-bottom: 25px;
      padding-top: 25px;
      margin-top: 10px;
    }
    .gallery{
      padding-bottom: 50px;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    } 
    .row1{
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }
    .row2{
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }
    .side-col img{
      width: 100%;
    }  
    footer p{
      text-align: center;
      color: #588157;
      font-size: 1.2rem;
      padding-top: 50px;
      padding-bottom: 25px;
      
    }
    .mail-list{
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      flex-wrap: wrap;
    }
    .form-list h1{
      text-align: center;
    }
    .mail-list{
      font-size: 1.2rem;
    }
    .mail-list h1{
      padding-bottom: 20px;
      text-align: center;
    }
    .mail-list .mail-btn{
      margin-top: 20px;
    }
    .form-list .list{
      margin-bottom: 10px;
      margin-top: 10px;
      
    }
    .container-icons{
      display: flex;
      align-items: center;
      justify-content: center;
      padding-bottom: 50px;
    }

    .about{
      display: flex;
      justify-content: center;
      width: auto;
      justify-content: space-around;
      flex-direction: column;
      align-items: center;
      margin-bottom: 25px;
    }
    .about-me{
      text-align: center;
      margin-bottom: 25px;
      font-size: 1.2rem;
      width: 350px;
    }
    .about-me h1{
      dis
    }
    .about-me p{

    }
    .me-img{
      display: flex;
      width: 400px;
      

    }
    #contact{
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      padding: 30px;
      text-align: center;
      
    }
    .contact-section{
      display: flex;
      justify-content: center;
      align-items: center;
      width: 100%;
    }
    .contact-form{
    width: 100%;
    }
    .contact-heading{
      width: 100%;
    }
    
    
  }

